Upgrade to 9.0.1 breaks PVR


#1

My box automatically upgraded to 9.0.1 and now I cannot watch TV. When I try to upgrade tvheadend addon, it ends with following error:

2019-03-02 18:26:11.399 T:3554321264 ERROR: CAddonInstallJob[pvr.hts]: Závislosť na kodi.binary.instance.pvr verzii 5.10.4 nie je možné uspokojiť.

translation: unsatisfied dependency kodi.binary.instance.pvr 5.10.4

What should I do?


#2

Downgrading to 9.0.0 helped.
Is it possible to prolong the delay between releasing an update and installing it? On the box itself?


#3

set to manual install, not auto.

does the tvhead server or client need updating?


#5

All you had to do was ‘check for updates’ with the addon browser and tvheadend would have updated :face_with_raised_eyebrow:


#6

BUT previously check and delete /storage/.kodi/addons/repository.coreelec (or samba path \\YOUR_BOX_IP\Addons\repository.coreelec) folder if it exists.


#7

Hi, don’t work for me, ce add-ons repo are 9.0.2 , but if I try to install anything I get always same error , installation failed. is there any way to re install coreelec add-ons repo ? Or any other solution to try ?


#8

Fresh install? I have verified the advice and steps that I have given on my own devices and confirmed it to be working, you have failed to provide any logs so I don’t have a clue why it’s not working for you.

We tell users this all the time but seriously please how do you expect us to help you if you don’t help us? Merely writing you can’t update is nowhere near helpful enough to us.

Have you followed the instructions here?


#9

adamg’s steps do not always solve the problem but this does almost for sure: here

his steps are not always verified, didn’t work for me

edit: don’t know why CE deleted my the only fix for me, manual:

try these steps

  1. ssh
    rm -rf /storage/.kodi/addons/packages
    rm -rf /storage/.kodi/addons/repository.coreelec

  2. install nightly update

  3. install again stable update

for me problem solved